OGRE-Next: Ogre::DescriptorSetUav Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::DescriptorSetUav Struct Reference
Core » Resources

Descriptor sets describe what uavs should be bound together in one place. More...

`#include <OgreDescriptorSetUav.h>`

## Classes
struct | BufferSlot
struct | Slot
struct | TextureSlot

## Public Types
enum | SlotType { SlotTypeBuffer , SlotTypeTexture }

## Public Member Functions
| DescriptorSetUav ()
void | checkValidity () const
bool | operator!= (const DescriptorSetUav &other) const
| Warning: This operator won't see changes in UAVs (i.e.
bool | operator< (const DescriptorSetUav &other) const

## Public Attributes
uint16 | mRefCount
void * | mRsData
| Render-System specific data.
FastArray< Slot > | mUavs

## Detailed Description

Descriptor sets describe what uavs should be bound together in one place.

Remarks
  Do not create and destroy a set every frame. You should create it once, and reuse it until it is no longer necessary, only then you should destroy it.

## Member Enumeration Documentation

## ◆ SlotType

enum Ogre::DescriptorSetUav::SlotType

Enumerator
SlotTypeBuffer |
SlotTypeTexture |

## Constructor & Destructor Documentation

## ◆ DescriptorSetUav()

Ogre::DescriptorSetUav::DescriptorSetUav | ( |  | ) |
| inline

References mRefCount, and mRsData.

Referenced by operator!=(), and operator<().

## Member Function Documentation

## ◆ checkValidity()

void Ogre::DescriptorSetUav::checkValidity | ( |  | ) | const

## ◆ operator!=()

bool Ogre::DescriptorSetUav::operator!= | ( | const DescriptorSetUav & | other | ) | const
| inline

Warning: This operator won't see changes in UAVs (i.e.

data baked into mRsData). If you get notifyTextureChanged call, the UAV has changed and you must assume the DescriptorSetUav has changed. UAV = Unordered Access View.

References DescriptorSetUav(), and mUavs.

## ◆ operator<()

bool Ogre::DescriptorSetUav::operator< | ( | const DescriptorSetUav & | other | ) | const
| inline

References DescriptorSetUav(), and mUavs.

## Member Data Documentation

## ◆ mRefCount

uint16 Ogre::DescriptorSetUav::mRefCount

Referenced by DescriptorSetUav().

## ◆ mRsData

void* Ogre::DescriptorSetUav::mRsData

Render-System specific data.

Referenced by DescriptorSetUav().

## ◆ mUavs

FastArray<Slot> Ogre::DescriptorSetUav::mUavs

Referenced by operator!=(), and operator<().

The documentation for this struct was generated from the following file:

- OgreDescriptorSetUav.h